Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235986 - kdump propagate create authorized_keys2 with 664 permission
Summary: kdump propagate create authorized_keys2 with 664 permission
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Neil Horman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 08:28 UTC by masanari iida
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2007-0548
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 18:02:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0548 normal SHIPPED_LIVE kexec-tools bug fix and enhancement update 2007-10-30 16:07:22 UTC

Description masanari iida 2007-04-11 08:28:19 UTC
Description of problem:
When I configure kdump with scp, I execute "service kdump propagate".
It succesfully propagate key into ~/.ssh/authorized_keys2 file.
But the file permission is not properly changed to 600.
So I failed to start "service kdump start" in the next step.

Version-Release number of selected component (if applicable):

# rpm -qa |grep kexec
kexec-tools-1.101-164.el5


How reproducible:
Always when I configure kdump with scp.


Steps to Reproduce:
1. Configure /etc/kdump.conf  as  kdump with scp.
2. Create an account on kdump scp destination box.
3. Execute    # service kdump propagate 

  
Actual results:
kdump script create ~/.ssh/authorized_keys2 file with permission 664.

# ls -l
total 4
-rw-rw-r--  1 kdump kdump 408 Apr 11 17:00 authorized_keys2


In /var/log/secure, when I start "service kdump start"
Apr 11 16:41:52 abc123 sshd[12083]: Authentication refused: bad ownership or
modes for file /home/kdump/.ssh/authorized_keys2


Expected results:
kdump script create ~/.ssh/authorized_keys2 file with permission 600.
# ls -l
total 4
-rw-------  1 kdump kdump 408 Apr 11 17:03 authorized_keys2


Additional info:

Following line in /etc/init.d/kdump cause the problem.

        cat $KEYFILE | ssh -x $SSH_USER@$SSH_SERVER "mkdir -p ~$SSH_USER/.ssh;
chmod 700 ~$SSH_USER/.ssh;  cat >> ~$SSH_USER/.ssh/authorized_keys2"


Fix.
        cat $KEYFILE | ssh -x $SSH_USER@$SSH_SERVER "mkdir -p ~$SSH_USER/.ssh;
chmod 700 ~$SSH_USER/.ssh;  cat >> ~$SSH_USER/.ssh/authorized_keys2; chmod 600
~$SSH_USER/.ssh/authorized_keys2"

Comment 1 Neil Horman 2007-04-11 13:32:58 UTC
sounds reasonable.  If I can have a pm/qe ack on this I would appreciate it.

Comment 2 RHEL Product and Program Management 2007-04-11 13:43:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Neil Horman 2007-05-08 15:28:08 UTC
fixed in -171.el5.  Thanks!

Comment 8 errata-xmlrpc 2007-11-07 18:02:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0548.html



Note You need to log in before you can comment on or make changes to this bug.